> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete all history for a specified service



## OpenAPI

````yaml /api-reference/4.2/service-history.json delete /history/{service}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service history
servers:
  - url: /api/apollo/
security: []
tags:
  - name: history
paths:
  /history/{service}:
    delete:
      tags:
        - 4.2 History API
      summary: Delete all history for a specified service
      operationId: clearServiceHistory
      parameters:
        - name: service
          in: path
          description: The name of a service
          required: true
          schema:
            type: string
      responses:
        default:
          description: successful operation

````